local celeste = require("#Celeste")
function onBegin()
	if getFlag("CS_Celestris_C03_TheoMeeting") then return end
	
	
	-- OnlyOnce param in a trigger said a big "fuck you" to my cutscene, so I made a new file
	disableRetry()
	disableMovement()
	
	walk(24)
	wait(0.6)
	say("CC_EVIDENCE02_CELESTRIS_C03_THEO_MEETING00")
	run(72)
	say("CC_EVIDENCE02_CELESTRIS_C03_THEO_MEETING01")
	setFlag("CS_Celestris_C03_TheoMeeting", true)
	
	
	local answer = choice("CC_EVIDENCE02_CELESTRIS_C03_THEO_CHOISE01", "CC_EVIDENCE02_CELESTRIS_C03_THEO_CHOISE02", "CC_EVIDENCE02_CELESTRIS_C03_THEO_CHOISE03",  "CC_EVIDENCE02_CELESTRIS_C03_THEO_CHOISE05A")
	
	
	if answer == 1 then
		say("CC_EVIDENCE02_CELESTRIS_C03_THEO_DIALOGUE01")
	elseif answer == 2 then
		say("CC_EVIDENCE02_CELESTRIS_C03_THEO_DIALOGUE02")
	elseif answer == 3 then
		say("CC_EVIDENCE02_CELESTRIS_C03_THEO_DIALOGUE03")
	--elseif answer == 4 then
	--	say("CC_EVIDENCE02_CELESTRIS_C03_THEO_DIALOGUE04")
	elseif answer == 4 then
		if fish_heaven then
			say("CC_EVIDENCE02_CELESTRIS_C03_THEO_DIALOGUE05B")
		elseif getFlag("CS_Celestris_C03_TheoBerry") then
			say("CC_EVIDENCE02_CELESTRIS_C03_THEO_DIALOGUE05A")
			teleport(0, 0, "b-00", "wakeup");
		else
			say("CC_EVIDENCE02_CELESTRIS_C03_THEO_DIALOGUE05A_GETBERRYPLEASE")
		end
	end
end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
	setFlag("CS_Celestris_C03_TheoQuizWin1", false)
	setFlag("CS_Celestris_C03_TheoQuizWin2", false)
end